[Numpy-discussion] Uncomfortable with matrix change

Jarrod Millman millman@berkeley....
Sat May 10 09:54:37 CDT 2008

On Sat, May 10, 2008 at 2:47 AM, Robert Kern <robert.kern@gmail.com> wrote:
> On Sat, May 10, 2008 at 4:35 AM, Jarrod Millman <millman@berkeley.edu> wrote:
>> However, we will be releasing 1.2 in a few months and it will be
>> entirely possible to break the matrices API then if there is an
>> agreement that it still needs to be done.
> Please, let's have a firm policy of having a DeprecationWarning for at
> least one revision of 1.x before breaking something in 1.x+1.

I agree.  Let's pretend I said "... it will be entirely possible to a
DeprecationWarning for the matrices API with the 1.2 release and
switching to the a new API in 1.3 (if there is an agreement as to what
the new behavior should be before the 1.2 release) ...".

Jarrod Millman
Computational Infrastructure for Research Labs
10 Giannini Hall, UC Berkeley
phone: 510.643.4014

More information about the Numpy-discussion mailing list